휴먼 리뷰 풀을 사용할 수 없음
API는 이 문제가 발생하면 422 Unprocessable Content 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/human-review-pool-unusable입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.
사람이 하는 검토가 존재하지 않는 의사결정 풀 <decisionPoolId>로 라우팅됩니다. 현지화를 시작하기 전에 엔진이 다른 의사결정 풀로 라우팅되도록 설정하세요.
필드#
본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드들을 바탕으로 생성되므로 클라이언트에서 원하는 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
engineId | string |
decisionPoolId | string |
state | "missing" | "archived" |
예시#
json
{
"detail": "Human review routes to decision pool <decisionPoolId>, which does not exist. Route the engine to another decision pool before starting localization.",
"engineId": "<engineId>",
"decisionPoolId": "<decisionPoolId>",
"state": "missing",
"type": "https://lingo.dev/docs/api/errors/human-review-pool-unusable",
"status": 422,
"title": "Human review pool unusable"
}이 오류를 반환하는 엔드포인트#
POST /v2/localization/jobs/{id}/startPOST /v2/organizations/{orgId}/localization/estimates